Get gateway
curl --request GET \
--url https://api.coreweave.com/v1alpha1/inference/gateways/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.coreweave.com/v1alpha1/inference/gateways/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.coreweave.com/v1alpha1/inference/gateways/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"gateway": {
"spec": {
"id": "<string>",
"name": "<string>",
"zones": [
"<string>"
],
"coreWeaveAuth": {},
"weightsAndBiasesAuth": {
"apiKey": "<string>",
"serverUrl": "<string>",
"enableUsageReports": true,
"enableRateLimiting": true
},
"organizationId": "<string>",
"endpointConfiguration": {
"additionalDns": [
"<string>"
]
},
"bodyBasedRouting": {
"apiType": "API_TYPE_OPENAI"
},
"headerBasedRouting": {
"headerName": "<string>"
},
"pathBasedRouting": {}
},
"status": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"conditions": [
{
"type": "<string>",
"lastUpdateTime": "2023-11-07T05:31:56Z",
"reason": "<string>",
"message": "<string>",
"zone": "<string>"
}
],
"endpoints": [
"<string>"
]
}
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Fetch a single inference gateway by its UUID.
GET
/
v1alpha1
/
inference
/
gateways
/
{id}
Get gateway
- The API server is
https://api.coreweave.com. - Replace
{API_ACCESS_TOKEN}with your CoreWeave API access token. - For required permissions, see IAM Access Policies.
{id} with the gateway ID returned from List
gateways or Create gateway. Once the gateway reaches
STATUS_READY, the response includes one or more endpoint
URLs in status.endpoints.
Example request
curl -X GET https://api.coreweave.com/v1alpha1/inference/gateways/{id} \
-H "Content-Type: application/json" \
-H "Authorization: Bearer {API_ACCESS_TOKEN}"
Authorizations
CoreWeave API access token sent as a bearer token.
Path Parameters
The unique identifier of the reservation to get, UUID format
Response
OK
Response for GetGateway
The gateway
Show child attributes
Show child attributes
Last modified on July 13, 2026
Was this page helpful?
⌘I